:root {
    --primary-color: #314ed1;
    --secondary-color: #505050;
    --light-color: #f4f4f4;
    --dark-color: #111111;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    min-width: 372px;
}


header {
    padding: 20px 0;
}

main {
    margin-top: 4rem;
}

/* navbar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 3px 125px;
    background-color: transparent;
}

.navbar-brand {
    display: flex;
    align-items: center;
}

.navbar-brand span {
    font-weight: bold;
    font-size: 1.5rem;
    color: var(--dark-color);
    margin-left: 1rem;
    transition: all 0.3s ease;
}

.navbar-brand:hover span {
    color: var(--primary-color);
}

.navbar-brand img {
    width: 50px;
    border-radius: 50%;
}

.nav-link {
    color: var(--secondary-color);
    font-weight: 500;
    font-size: 1.1rem;
    margin-left: 1rem;
    transition: all 0.3s ease;
}

.nav-link::after {
    content: '';
    display: block;
    width: 0;
    height: 2px;
    background-color: var(--dark-color);
    transition: width 0.3s;
}

.nav-link:hover {
    color: var(--dark-color);
}

.nav-link:hover::after {
    width: 100%;
}

.nav-link.active {
    color: var(--dark-color);
}

.nav-link.active::after {
    width: 100%;
}

.scrolled {
    background-color: #fff !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease;
}

@media (max-width: 768px) {
    .navbar {
        padding: 7px 20px;
    }

    main {
        margin-top: 3rem;
    }

    .nav-link::after {
        display: none;
    }
}

/* main title */

main .cover {
    background: url('../img/tabela_periodica.jpg') no-repeat center fixed;
    background-size: cover;
    height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

main .cover .cover--title {
    background-color: #fff;
    padding: 20px 40px;
    border-radius: 15px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
}

main .cover h1 {
    color: var(--dark-color);
    font-size: 3rem;
    font-weight: bold;
    text-transform: capitalize;
}

main .cover h1 span {
    color: var(--primary-color);
}

main .cover p {
    color: var(--light-color);
    font-size: 1.2rem;
    margin-top: 1rem;
    width: max-content;
    margin: 0 auto;
    background-color: var(--primary-color);
    border-radius: 5px;
    padding: 5px 5px;
}

@media (max-width: 768px) {
    main .cover {
        height: 40vh;
    }

    main .cover h1 {
        font-size: 2.4rem;
    }

    main .cover p {
        font-size: 1rem;
    }

    main .cover .cover--title {
        box-shadow: none;
    }
}

/* main content */

main .content {
    padding: 0 125px;
}

main .content--title, .content--search, .content--description {
    margin: 4rem 0;
}

/* main content title */

main .content .content--title .col-12 {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
}

main .content .content--title h1 {
    font-size: 2.3rem;
    font-weight: bold;
    color: var(--dark-color);
    margin-bottom: 1rem;
}

main .content .content--img img {
    width: 100%;
    height: 100%;
    border-radius: 5px;
    margin-bottom: 1rem;
}

@media (max-width: 992px) {
    main .content {
        padding: 0 20px;
    }
}

/* main content search */

main .content .content--search {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-bottom: 10rem;
    height: 300px;
    background: url('../img/search.jpg') no-repeat center fixed;
}

main .content .content--search h1 {
    font-size: 2.3rem;
    font-weight: bold;
    color: var(--dark-color);
    margin-bottom: 1rem;
}

main .content .content--search span {
    color: var(--primary-color);
    font-weight: bolder;
}

main .content .content--search p {
    font-size: 1.2rem;
    color: var(--secondary-color);
    line-height: 1.5;
    margin-bottom: 1rem;
}

main .content .content--search form {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

main .content .content--search .result {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-top: 1rem;
}

main .content .content--search .search--background {
    position: relative;
    width: 100%;
    height: 100%;
}

main .content .content--search .bg--element-1 {
    position: absolute;
    top: 0;
    left: 14%;
    transform: rotate(-15deg);
    width: 50px;
}

main .content .content--search .bg--element-2 {
    position: absolute;
    bottom: 0;
    right: 120px;
    transform: translate(60%, 110%) rotate(155deg);
    width: 135px;
}

main .content .content--search .bg--element-3 {
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(100%, 160%) rotate(-120deg);
    width: 80px;
}

main .content .content--search .bg--element-4 {
    position: absolute;
    top: 0;
    right: 10%;
    transform: translate(0, 10%) rotate(125deg);
    width: 60px;
}

main .content .content--search .bg--element-5 {
    position: absolute;
    top: 50;
    left: 50;
    transform: translate(-50%, 20%) rotate(5deg);
    width: 100px;
}

main .content .content--search .message {
    text-align: center;
    font-weight: bold;
    text-transform: uppercase;
}

@media (max-width: 992px) {
    main .content .content--search {
        height: 400px;
        margin-bottom: 5rem;
    }

    main .content .content--search h1 {
        font-size: 2rem;
    }

    main .content .content--search p {
        font-size: 1.2rem;
    }

    main .content .content--search .bg--element-1 {
        left: 0;
        transform: translate(100%, 20%) rotate(-15deg);
        width: 40px;
    }

    main .content .content--search .bg--element-2 {
        right: 0;
        transform: translate(0, 100%) rotate(35deg);
        width: 100px;
    }

    main .content .content--search .bg--element-3 {
        left: 0;
        transform: translate(50%, 160%) rotate(-120deg);
        width: 90px;
    }

    main .content .content--search .bg--element-4 {
        right: 0;
        transform: translate(-20%, -20%) rotate(125deg);
        width: 50px;
    }

    main .content .content--search .bg--element-5 {
        top: 50;
        left: 50;
        transform: translate(-20%, 20%) rotate(5deg);
        width: 80px;
    }
}

@media (max-width: 768px) {
    main .content .content--search {
        height: 200px;
    }

    main .content .content--search h1 {
        font-size: 1.5rem;
    }

    main .content .content--search p {
        font-size: 1rem;
    }

    main .content .content--search .bg--element-1 {
        left: 0;
        transform: translate(20%, -100%) rotate(-15deg);
        width: 40px;
    }

    main .content .content--search .bg--element-2 {
        right: 0;
        transform: translate(0, 100%) rotate(35deg);
        width: 100px;
    }

    main .content .content--search .bg--element-3 {
        left: 0;
        transform: translate(50%, 160%) rotate(-120deg);
        width: 60px;
    }

    main .content .content--search .bg--element-4 {
        right: 0;
        transform: translate(-20%, -20%) rotate(125deg);
        width: 50px;
    }

    main .content .content--search .bg--element-5 {
        top: 50;
        left: 50;
        transform: translate(-20%, 20%) rotate(5deg);
        width: 80px;
    }
}

@media (max-width: 576px) {
    main .content .content--search {
        height: 350px;
    }

    main .content .content--search h1 {
        font-size: 1.5rem;
    }

    main .content .content--search p {
        font-size: 1rem;
    }

    main .content .content--search .bg--element-1 {
        left: 0;
        transform: translate(20%, -100%) rotate(-15deg);
        width: 40px;
    }

    main .content .content--search .bg--element-2 {
        right: 0;
        transform: translate(0, 100%) rotate(35deg);
        width: 100px;
    }

    main .content .content--search .bg--element-3 {
        left: 0;
        transform: translate(50%, 150%) rotate(-120deg);
        width: 60px;
    }

    main .content .content--search .bg--element-4 {
        right: 0;
        transform: translate(-20%, -120%) rotate(125deg);
        width: 50px;
    }

    main .content .content--search .bg--element-5 {
        top: 50;
        left: 50;
        transform: translate(-60%, 100%) rotate(5deg);
        width: 60px;
    }
}

main .content .content--img {
    height: 100%;
}

main .content .content--img img {
    object-fit: cover;
}

@media (min-width: 1400px) {
    main .content .content--img {
        height: 620px;
    }
}

/* main content description */
main .content .content--description .title {
    font-size: 2.3rem;
    font-weight: bold;
    color: var(--dark-color);
    margin-bottom: 1rem;
    text-align: center;
}

main .content .content--description .subtitle {
    font-size: 1.6rem;
    color: var(--secondary-color);
    line-height: 1.5;
    text-align: center;
}

main .content .content--description .subtitle span {
    color: var(--primary-color);
    font-weight: bold;
}

main .content .content--description .list li {
    font-size: 1.2rem;
    color: var(--secondary-color);
    line-height: 1.5;
    margin-bottom: 0.5rem;
}

main .content .content--description .list li span {
    color: var(--primary-color);
    font-weight: bold;
}

/* footer */

footer {
    background-color: var(--dark-color);
    padding: 3rem 0;
}

footer .footer--title {
    color: #fff;
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

footer .footer--subtitle {
    color: var(--light-color);
    font-size: 1.2rem;
    line-height: 1.5;
    margin-bottom: 1rem;
}

footer .footer--social {
    display: flex;
    justify-content: start;
    align-items: center;
}

footer .footer--social a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    color: var(--light-color);
    border-radius: 50%;
    background-color: var(--primary-color);
    margin: 0 0.5rem;
    transition: all 0.3s ease;
}

footer .footer--social a:hover {
    background-color: var(--light-color);
    color: var(--primary-color);
}

footer .footer--social a i {
    font-size: 1.2rem;
}

footer .footer--lead {
    color: var(--light-color);
    font-size: 1.2rem;
    line-height: 1.5;
    margin-top: 1rem;
}

footer .list {
    display: flex;
    flex-direction: column;
    margin-top: 1rem;
}

footer .list li {
    margin-right: 1rem;
    color: var(--light-color);
}

footer .footer--linkcontact {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
}

@media (max-width: 768px) {
    footer {
        padding: 2rem 0;
    }

    footer .footer--title {
        font-size: 1.2rem;
    }

    footer .footer--subtitle {
        font-size: 1rem;
    }

    footer .footer--lead {
        font-size: 0.8rem;
    }
}

.btn-switch {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border: none;
    color: var(--light-color);
    border-radius: 50%;
    background-color: var(--primary-color);
    margin: 0 0.5rem;
    transition: all 0.3s ease;
}

.btn-switch:hover {
    background-color: var(--light-color);
    color: var(--primary-color);
}

.btn-switch i {
    font-size: 1.2rem;
}

/* dark mode */

.dark-mode {
    background-color: var(--dark-color);
    color: var(--light-color);
}

#suggestions {
    max-height: 200px;
    overflow-y: auto;
    position: absolute;
    width: 100%;
    z-index: 1000;
    background: white;
    border: 1px solid #ddd;
    border-radius: 0 0 5px 5px;
}

.list-group-item {
    cursor: pointer;
    padding: 10px;
}

.list-group-item:hover {
    background-color: #f0f0f0;
}

/* suggestions list */
#suggestions-list {
    z-index: 1000;
    margin: 0;
    padding: 0;
    list-style: none;
    border-top: none;
}

#suggestions-list li {
    list-style: none;
    border-bottom: 2px solid #f0f0f0;
    background-color: #f9f9f9;
    padding: 10px;
}

#suggestions-list li:hover {
    background-color: #f0f0f0;
}